tools: expat: fix build on older host systems
authorJo-Philipp Wich <jo@mein.io>
Tue, 18 Jul 2017 20:50:11 +0000 (22:50 +0200)
committerJo-Philipp Wich <jo@mein.io>
Tue, 18 Jul 2017 21:00:45 +0000 (23:00 +0200)
Expat release 2.2.2 requires support for either syscall(SYS_getrandom) which
is available on Linux 3.17 or support for getrandom() which is only available
in glibc 2.25 or later.

Since some of our builders still run on Linux 3.16, we need to forcibly
disable the use of getrandom() for the host builds.

Signed-off-by: Jo-Philipp Wich <jo@mein.io>
tools/expat/Makefile

index 697d3f6..246089d 100644 (file)
@@ -18,6 +18,9 @@ HOST_BUILD_PARALLEL:=1
 
 include $(INCLUDE_DIR)/host-build.mk
 
+HOST_CONFIGURE_VARS += \
+       CPPFLAGS="$(HOST_CFLAGS) -DXML_POOR_ENTROPY"
+
 define Host/Install
        $(MAKE) -C $(HOST_BUILD_DIR) install
 endef